"use strict";

const Promise = require("bluebird");
const promiseDelayEvery = require("./");

let delayer = promiseDelayEvery(2000);

return Promise.try(() => {
	return delayer();
}).then(() => {
	// Logs immediately after running
	console.log("Hello world 1");

	return delayer();
}).then(() => {
	// Logs 2 seconds after running
	console.log("Hello world 2");

	return delayer();
}).then(() => {
	// Logs 4 seconds after running
	console.log("Hello world 3");
});